Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 11-09-2017 21:49:11

Batmood
Membre
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-amd64
(G)UI : i3
Inscription : 31-08-2017

Youtube-dl + avconv outdated

Bonsoir,

Je souhaite télécharger une vidéo avec youtube-dl. J'avais lu qu'il fallait choisir soit ffmpeg soit avconv. J'avais déjà fait des tests en utilisant youtube-dl avec ffmpeg sous jessie qui n'étaient pas concluants (j'avais youtube-dl qui téléchargeait la vidéo en question mais lorsque je voulais la lancer avec un lecteur tel que vlc ou mplayer, il n'y avait ni image, ni son). J'utilisais donc avconv sous jessie.

Maintenant je suis sous stretch. J'ai réinstallé youtube-dl. Par contre, je ne suis plus sûr du paquet que j'avais installé pour pouvoir utiliser avconv. J'ai installé ici libav-tools qui me semble être le bon métapaquet (de transition?) pour avconv. Par contre, j'ai youtube-dl qui m'indique ceci:

WARNING: Your copy of avconv is outdated and unable to properly mux separate video and audio files, youtube-dl will download single file media. Update avconv to version 10-0 or newer to fix this.



Apparemment, j'ai déjà la version la plus récente des dépôts debian:

apt-cache -t stretch-backports policy libav-tools
libav-tools:
  Installé : 7:3.2.7-1~deb9u1
  Candidat : 7:3.2.7-1~deb9u1
 Table de version :
 *** 7:3.2.7-1~deb9u1 500
        500 http://security.debian.org/debian-security stretch/updates/main amd64 Packages
        100 /var/lib/dpkg/status
     7:3.2.5-1 500
        500 http://ftp.be.debian.org/debian stretch/main amd64 Packages



Avez-vous une solution pour mettre à jour ce avconv "périmé"? Je serais obligé de compiler moi-même une version plus récente?

Hors ligne

#2 12-09-2017 00:36:52

solar66
Membre
Distrib. : debian stretch
Noyau : Linux 4-9-0-3-amd64
(G)UI : xfce
Inscription : 23-08-2016

Re : Youtube-dl + avconv outdated

Bonsoir;
Ce que je fais: ne pas installer youtube-dl via le gestionnaire de paquet, mais:


wget https://yt-dl.org/downloads/latest/youtube-dl -O /usr/local/bin/youtube-dl
chmod a+rx /usr/local/bin/youtube-dl
 




et pas de problème pour télécharger sur youtube 
et, refaire cette commande régulièrement, car ça installe les mises à jour qui semblent être très fréquentes , avant un téléchargement;

thierry

Dernière modification par solar66 (12-09-2017 08:10:45)

Hors ligne

#3 12-09-2017 02:49:47

otyugh
Membre
Lieu : Quimperlé/Arzano
Distrib. : Debian Stable
Inscription : 20-09-2016

Re : Youtube-dl + avconv outdated

Youtube-dl téléchargé de cette manière peut être mis à jour via "youtuble-dl -U" - mais je suppose que ça revient essentiellement au même niveau volume.

Agenda du libre : se faire dépanner/dépanner IRL ! Le libre n'est pas qu'un phénomène internet.
Framapad sur les balados : Emissions audio pro/amateur, votre radio sur-mesure !

Hors ligne

#4 12-09-2017 08:09:57

solar66
Membre
Distrib. : debian stretch
Noyau : Linux 4-9-0-3-amd64
(G)UI : xfce
Inscription : 23-08-2016

Re : Youtube-dl + avconv outdated

youtube-dl -U , pour les mises à jour, est effectivement plus simple.

et avec cette méthode, je n'ai aucun des paquets, que tu mentionnes, d'installés

Dernière modification par solar66 (12-09-2017 08:18:53)

Hors ligne

#5 12-09-2017 08:25:32

tophechris94
Membre
Lieu : val de marne ( 94)
Distrib. : kali / kissOs
Noyau : Linux 4.9.0
(G)UI : openbox / lxde / fluxbox / etc....
Inscription : 08-07-2016
Site Web

Re : Youtube-dl + avconv outdated

Salut a tous , pas besoin de logiciel pour télécharger sur youtube .
J utilise https://www.proxfree.com/
1505197509.png

1480082419.gif
https://arpinux.org ☯  La logique est la base de tous ☯

Hors ligne

#6 12-09-2017 15:03:52

Batmood
Membre
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-amd64
(G)UI : i3
Inscription : 31-08-2017

Re : Youtube-dl + avconv outdated

solar66 a écrit :

Bonsoir;
Ce que je fais: ne pas installer youtube-dl via le gestionnaire de paquet, mais:


wget https://yt-dl.org/downloads/latest/youtube-dl -O /usr/local/bin/youtube-dl
chmod a+rx /usr/local/bin/youtube-dl
 


J'ai également toujours fait de cette manière.


otyugh a écrit :

Youtube-dl téléchargé de cette manière peut être mis à jour via "youtuble-dl -U"


C'est ce que je fais aussi régulièrement pour le mettre à jour


J'ai déjà eu besoin d'installer avconv pour plusieurs vidéos par le passé. Et j'utilise l'option -F de youtube pour sélectionner les canaux.
Par exemple: youtube-dl -f 137+251 https://www.youtube.com/watch?v=F-ifO6S55Gc~
Là, la vidéo est illisible...

Je vais désinstaller libav-tools et réessayer ffmpeg mais je parie que je vais avoir les mêmes problèmes qu'auparavant. Sinon, j'essaierai de compiler la dernière version de libav. Mais je n'ai jamais compilé moi-même. C'est quand même bizarre que la version des dépôts de debian stretch soit aussi "vieille".


Merci tophechris, mais je suis habitué à youtube-dl, et je le trouve léger et pratique dans mon cas. Mais je retiens l'adresse pour les éventuelles vidéos qui nécessiteraient d'outrepasser les restrictions.

Hors ligne

Pied de page des forums